org.apache.solr.search

## Class ReturnFields

- java.lang.Object
- - org.apache.solr.search.ReturnFields

- Direct Known Subclasses:
    SolrReturnFields

      public abstract class ReturnFields
      extends Object

  A class representing the return fields
  Since:
    solr 4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReturnFields()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Map<String,String>` | `getFieldRenames()` Get the fields which have been renamed
    `abstract Set<String>` | `getLuceneFieldNames()` Set of field names with their exact names from the lucene index.
    `abstract Set<String>` | `getLuceneFieldNames(boolean ignoreWantsAll)` Set of field names with their exact names from the lucene index.
    `abstract Set<String>` | `getRequestedFieldNames()` The requested field names (includes pseudo fields)
    `abstract DocTransformer` | `getTransformer()` Returns the DocTransformer used to modify documents, or `null`
    `abstract boolean` | `hasPatternMatching()` Returns `true` if the fieldnames should be picked with a pattern
    `abstract boolean` | `wantsAllFields()` Returns `true` if all fields should be returned.
    `abstract boolean` | `wantsField(String name)` Returns `true` if the specified field should be returned.
    `abstract boolean` | `wantsScore()` Returns `true` if the score should be returned.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReturnFields

          public ReturnFields()

  - ### Method Detail

    - #### getLuceneFieldNames

          public abstract Set<String> getLuceneFieldNames()

      Set of field names with their exact names from the lucene index.

      Class such as ResponseWriters pass this to `SolrIndexSearcher.doc(int, Set)`.

      Returns:
        Set of field names or `null` (all fields).

    - #### getLuceneFieldNames

          public abstract Set<String> getLuceneFieldNames(boolean ignoreWantsAll)

      Set of field names with their exact names from the lucene index.
      Parameters:
        `ignoreWantsAll` - If true, it returns any additional specified field names, in spite of also wanting all fields. Example: when fl=*,field1, returns ["field1"]. If false, the method returns null when all fields are wanted. Example: when fl=*,field1, returns null. Note that this method returns null regardless of ignoreWantsAll if all fields are requested and no explicit field names are specified.

    - #### getRequestedFieldNames

          public abstract Set<String> getRequestedFieldNames()

      The requested field names (includes pseudo fields)

      Returns:
        Set of field names or `null` (all fields).

    - #### getFieldRenames

          public abstract Map<String,String> getFieldRenames()

      Get the fields which have been renamed
      Returns:
        a mapping of renamed fields

    - #### wantsField

          public abstract boolean wantsField(String name)

      Returns `true` if the specified field should be returned.

    - #### wantsAllFields

          public abstract boolean wantsAllFields()

      Returns `true` if all fields should be returned.

    - #### wantsScore

          public abstract boolean wantsScore()

      Returns `true` if the score should be returned.

    - #### hasPatternMatching

          public abstract boolean hasPatternMatching()

      Returns `true` if the fieldnames should be picked with a pattern

    - #### getTransformer

          public abstract DocTransformer getTransformer()

      Returns the DocTransformer used to modify documents, or `null`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.